---
title: List runs
url: https://www.tines.com/docs/api/stories/groups/list-runs/
updated: 2026-03-09T14:32:42+00:00
description: Retrieve a list of group runs.
---

*[tines.com](https://www.tines.com/llms.txt) › [Docs](https://www.tines.com/llms.txt) › [Tines API](https://www.tines.com/llms.txt) › [Stories](https://www.tines.com/llm/docs/api/stories.md) › [Groups](https://www.tines.com/llm/docs/api/stories/groups.md)*

# List runs

*[View on tines.com](https://www.tines.com/docs/api/stories/groups/list-runs/)*

## Description

Retrieve a list of group runs.

## Request

HTTP Method: **GET**

| Path Parameter | Description          |
| -------------- | -------------------- |
| group_id       | The ID of the group. |

| Query Parameter | Description                                                                                         |
| --------------- | --------------------------------------------------------------------------------------------------- |
| per_page        | **Optional** Set the number of results returned per page.                                           |
| page            | **Optional** Specify the page of results to return if there are multiple pages. Defaults to page 1. |

```bash
curl -X GET \
 https://<tenant-domain>/api/v1/groups/<<group_id>>/runs \
  -H 'content-type: application/json' \
  -H 'Authorization: Bearer <<CREDENTIAL.tines_api_key>>'
```

## Response

A successful request will return the JSON Array describing the group runs for a group.

### Field description

| Parameter    | Description                                    |
| ------------ | ---------------------------------------------- |
| guid         | Guid of the group run.                         |
| duration     | Duration of the group run.                     |
| story_id     | ID of the parent story.                        |
| group_id     | ID of the group.                               |
| start_time   | The time the group run started.                |
| end_time     | The time the group run ended.                  |
| action_count | Number of actions in the run.                  |
| event_count  | Number of events in the run.                   |
| story_mode   | The mode of the parent story `LIVE` or `TEST`. |
| draft_id     | ID of the draft to which the group belongs.    |
| draft_name   | Name of the draft to which the group belongs.  |

<!-- cspell:disable -->

### Sample response

```json
{
  "group_runs": [
    {
      "guid": "5466f325-0bc6-47fb-943f-41d1a2a8d6ae",
      "duration": 0,
      "story_id": 155,
      "group_id": 200,
      "start_time": "2023-12-13T16:19:50Z",
      "end_time": "2023-12-13T16:19:50Z",
      "action_count": 5,
      "event_count": 5,
      "story_mode": "LIVE",
      "draft_id": 12345,
      "draft_name": "My draft"
    },
    {
      "guid": "c0ea6684-1cfb-4ac5-858b-79c631daa79f",
      "duration": 0,
      "story_id": 155,
      "group_id": 200,
      "start_time": "2023-12-13T16:16:49Z",
      "end_time": "2023-12-13T16:16:49Z",
      "action_count": 1,
      "event_count": 1,
      "story_mode": "LIVE",
      "draft_id": 12345,
      "draft_name": "My draft"
    }
  ],
  "meta": {
    "current_page": "https://<tenant-domain>/api/v1/groups/<<group_id>>/runs?per_page=20&page=1",
    "previous_page": null,
    "next_page": null,
    "next_page_number": null,
    "per_page": 20,
    "pages": 1,
    "count": 2
  }
}
```

<!-- cspell:enable -->
